Bug 113260 - security/ossec-hids-client
Summary: security/ossec-hids-client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-02 18:40 UTC by pauls
Modified: 2007-06-09 11:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2007-06-02 18:40:03 UTC
	The pkg-plist for this port was placed in the master port and called
	from the master port Makefile, so it didn't work.  This PR patches the
	Makefile to call the pkg-plist correctly and adds a corrected pkg-plist
	which is added to this port.  The pkg-plist was corrected to use
	@dirrmtry instead of @dirrm, because if the daemons have been started
	once, new directories and files are added to the ossec-hids directory
	structure that the port can't possibly know about in advance.  Additional
	file removals were added to properly remove all the installed files if the
	port has never been used.

	PLEASE NOTE: I have not tested this port with the related server port,
	because I don't have the equipment to do that.  On its own, the port 
	generates errors when you try to start the daemons.  Those may be related
	to the need for a running server and proper configuration of the port, but
	I did not test that.  This PR simply ensures that the port will install and
	deinstall correctly.

Fix: Without this patch, this port will not uninstall correctly and will generate
	tons of errors about missing files.



%%PORTNAME%%/active-response/bin/firewalls/firewall-drop.sh
%%PORTNAME%%/active-response/bin/firewalls/ipfw.sh
%%PORTNAME%%/active-response/bin/firewalls/ipfw_mac.sh
%%PORTNAME%%/active-response/bin/firewalls/pf.sh
%%PORTNAME%%/active-response/bin/disable-account.sh
%%PORTNAME%%/active-response/bin/firewall-drop.sh
%%PORTNAME%%/active-response/bin/host-deny.sh
%%PORTNAME%%/active-response/bin/route-null.sh
%%PORTNAME%%/bin/manage_agents
%%PORTNAME%%/bin/ossec-agentd
%%PORTNAME%%/bin/ossec-control
%%PORTNAME%%/bin/ossec-execd
%%PORTNAME%%/bin/ossec-logcollector
%%PORTNAME%%/bin/ossec-syscheckd
%%PORTNAME%%/etc/internal_options.conf
%%PORTNAME%%/etc/shared/rootkit_trojans.txt
%%PORTNAME%%/etc/shared/rootkit_files.txt
%%PORTNAME%%/etc/localtime
@unexec if cmp -s %D/%%PORTNAME%%/etc/ossec.conf %D/%%PORTNAME%%/etc/ossec.conf.sample; then rm -f %D/%%PORTNAME%%/etc/ossec.conf; fi
%%PORTNAME%%/etc/ossec.conf.sample
%%PORTNAME%%/logs/ossec.log
@dirrmtry %%PORTNAME%%/active-response/bin/firewalls
@dirrmtry %%PORTNAME%%/active-response/bin
@dirrmtry %%PORTNAME%%/active-response
@dirrmtry %%PORTNAME%%/etc/shared
@dirrmtry %%PORTNAME%%/etc/
@dirrmtry %%PORTNAME%%/var/run
@dirrmtry %%PORTNAME%%/var
@dirrmtry %%PORTNAME%%/queue/syscheck
@dirrmtry %%PORTNAME%%/queue/rids
@dirrmtry %%PORTNAME%%/queue/ossec
@dirrmtry %%PORTNAME%%/queue/alerts
@dirrmtry %%PORTNAME%%/queue
@dirrmtry %%PORTNAME%%/logs
@dirrmtry %%PORTNAME%%/bin
@dirrmtry %%PORTNAME%%
--- pkg-plist.client ends here -----py7mxkD2LpGNeXrzFJaRqIw8COHlWVThg9f7Fnwuqld5dAtE
Content-Type: text/plain; name="patch-Makefile"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="patch-Makefile"

--- Makefile.orig	Sat Jun  2 01:29:58 2007
+++ Makefile	Sat Jun  2 01:24:25 2007
@@ -9,4 +9,6 @@
 
 MASTERDIR=	${.CURDIR}/../ossec-hids-server
 
+PLIST=	pkg-plist.client
+
 .include "${MASTERDIR}/Makefile"
Comment 1 Edwin Groothuis freebsd_committer 2007-06-02 18:40:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Valerio Daelli 2007-06-06 14:33:10 UTC
Patch approved.
Thanks!
Comment 3 Martin Wilke freebsd_committer 2007-06-06 18:33:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 dfilter service freebsd_committer 2007-06-09 11:42:42 UTC
miwi        2007-06-09 10:42:37 UTC

  FreeBSD ports repository

  Modified files:
    security/ossec-hids-client Makefile 
  Added files:
    security/ossec-hids-client pkg-plist.client 
  Log:
  - Add pkg-plist.client
  - Bump PORTREVISION
  
  PR:             113260
  Submitted by:   Paul Schmehl <pauls@utdallas.edu>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.2       +2 -0      ports/security/ossec-hids-client/Makefile
  1.1       +34 -0     ports/security/ossec-hids-client/pkg-plist.client (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2007-06-09 11:43:06 UTC
State Changed
From-To: feedback->closed

Thanks for you good works. Committed.